!===============================================================================
! CVS $Id: data_raw.h,v 1.2 2001/01/09 22:53:38 kauff Exp $
! CVS $Source: /fs/cgd/csm/models/CVS.REPOS/atm/datm5/data_raw.h,v $
! CVS $Name: ccsm2_0_beta46 $
!===============================================================================

      !-------------------------------------------------------------------------
      ! raw data: two time slices read in from a data file
      !-------------------------------------------------------------------------

      !----- timing info -----
      integer r_kold           ! = 1 or 2: k index of older data slice
      integer r_cdate(2)       ! calendar dates for raw data time slices
      integer r_sec  (2)       ! elapsed secs   for raw data time slices

      !----- states -----
      real r_z    (nx,ny,2)    ! bottom level height       ~ m
      real r_u    (nx,ny,2)    ! wind, zonal               ~ m/s
      real r_v    (nx,ny,2)    ! wind, meridional          ~ m/s
      real r_t    (nx,ny,2)    ! temperature               ~ Kelvin
      real r_ptem (nx,ny,2)    ! potential temperature     ~ Kelvin
      real r_pres (nx,ny,2)    ! pressure, bottom layer    ~ Pa
      real r_pslv (nx,ny,2)    ! pressure, sea level       ~ Pa
      real r_shum (nx,ny,2)    ! specific humidity         ~ kg/kg
      real r_dens (nx,ny,2)    ! density                   ~ kg/m^3
  
      !----- fluxes -----
      real r_precc(nx,ny,2)    ! precip, liquid, convective  ~ kg/s/m^2
      real r_precl(nx,ny,2)    ! precip, liquid, large-scale ~ kg/s/m^2
      real r_snowc(nx,ny,2)    ! precip, frozen, convective  ~ kg/s/m^2
      real r_snowl(nx,ny,2)    ! precip, frozen, large-scale ~ kg/s/m^2
      real r_lwdn (nx,ny,2)    ! longwave, downward        ~    W/m^2
      real r_swnet(nx,ny,2)    ! shortwave, net            ~    W/m^2
      real r_swdn (nx,ny,2)    ! shortwave, downward       ~    W/m^2
      real r_swvdr(nx,ny,2)    ! shortwave, down, vis-dir  ~    W/m^2
      real r_swndr(nx,ny,2)    ! shortwave, down, nir-dir  ~    W/m^2
      real r_swvdf(nx,ny,2)    ! shortwave, down, vis-diff ~    W/m^2
      real r_swndf(nx,ny,2)    ! shortwave, down, nir-diff ~    W/m^2

      !-------------------------------------------------------------------------
      ! make data global
      !-------------------------------------------------------------------------
      COMMON /data_raw/                                          &
     &    r_kold  , r_cdate , r_sec                              &
     &  , r_z     , r_u     , r_v     , r_t     , r_ptem         &
     &  , r_pres  , r_pslv  , r_shum  , r_dens                   &
     &  , r_precc , r_precl , r_snowc , r_snowl                  &
     &  , r_lwdn  , r_swnet , r_swdn                             &
     &  , r_swvdr , r_swndr , r_swvdf , r_swndf 

      SAVE   /data_raw/
