!===============================================================================
! CVS $Id: control.h,v 1.1 2001/03/28 22:11:24 kauff Exp $
! CVS $Source: /fs/cgd/csm/models/CVS.REPOS/atm/latm5/control.h,v $
! CVS $Name: ccsm2_0_beta46 $
!===============================================================================
! Note:
! o when integer variables are used as logical variables, 0 <=> false
!===============================================================================

      !----- i/o unit reserved for temporary usage ---------------------
      integer    tmpunit
      parameter (tmpunit=10)

      !----- input namelist parms --------------------------------------
      character*16 rest_type      ! run type: initial, cont, regen, branch
      character*64 rest_pfile     ! IC data pointer file
      character*64 rest_bfile     ! IC data file for branch runs
      character*16 rest_freq      ! restart file frequency
      integer      rest_date      ! start date for initial or branch runs
      integer      rest_nday      ! restart file interval    (nday option
      integer      rest_odate     ! restart file offset date (nday option)
      character*16 case_name      ! case name 
      character*64 case_desc      ! case description 
      character*64 data_dir  (3)  ! data: directory 1~state, 2~rad, 3~prec
      integer      data_rmlf (3)  ! data: remove file after reading?
      integer      data_year0(3)  ! data: 1st  year  in sequence
      integer      data_nyear(3)  ! data: number of years in sequence
      integer      data_oyear(3)  ! data: cpl year matched to year0
      integer      flux_init      ! T => do optional flux initialization
      integer      flux_albfb     ! T => do optional albedo feedback
      integer      flux_lwfb      ! T => do optional lw feedback (wrt surface T)
      character*64 mss_dir        ! MSS file directory
      character*16 mss_pass       ! MSS file password
      character*16 mss_opts       ! MSS file mswrite options
      integer      mss_rtpd       ! MSS file MS retention period
      integer      mss_rmlf       ! T => rm local file after mswrite
      integer      info_dbug      ! dbug level: 0=lowest, 3=highest
      integer      info_time      ! T => print extra timing info
      real         info_sleep     ! to simulate time to advance an active model
      integer      ncpl           ! number of msg pairs per day

      !----- timing info -----------------------------------------------
      integer      eday           ! elapsed days, 0 => 1 Jan year 0
      integer      eday0          ! value of eday on startup
      integer      cdate          ! coded model date (yyyymmdd)
      integer      year           ! model year
      integer      month          ! model month
      integer      day            ! model day
      integer      sec            ! model elapsed seconds during model day

      !----- control flags ---------------------------------------------
      integer      stop_now       ! T => stop model now
      integer      stop_eod       ! T => stop model at end of day
      integer      rest_now       ! T => create restart data now
      integer      rest_eod       ! T => create restart data at end of day
      integer      hist_now       ! T => create history data now
      integer      hist_eod       ! T => create history data at end of day
      integer      hist_tav       ! T => create monthly avg data
      integer      diag_now       ! T => create diagnostic data now
      integer      diag_eod       ! T => create diagnostic data now
      integer      ierr           ! error code

      !-------------------------------------------------------------------------
      ! make data global
      !-------------------------------------------------------------------------

      COMMON /control_com/                                               &
     &   rest_type  , rest_pfile , rest_bfile                            &
     & , rest_freq  , rest_date  , rest_nday  , rest_odate               &
     & , case_name  , case_desc                                          &
     & , data_dir   , data_rmlf                                          &
     & , data_year0 , data_nyear , data_oyear                            &
     & , flux_init  , flux_albfb , flux_lwfb                             &
     & , mss_dir    , mss_pass   , mss_opts   , mss_rtpd   , mss_rmlf    &
     & , info_dbug  , info_time  , info_sleep                            &
     & , ncpl       , eday       , eday0      , cdate                    &
     & , year       , month      , day        , sec                      &
     & , stop_now   , stop_eod   , rest_now   , rest_eod                 &
     & , hist_now   , hist_eod   , hist_tav   , diag_now   , diag_eod    &
     & , ierr

      SAVE /control_com/
