!===============================================================================
! CVS $Id: bitcheck.F90,v 1.1 2001/02/02 00:25:38 kauff Exp $
! CVS $Source: /fs/cgd/csm/models/CVS.REPOS/cpl/cpl5/bitcheck.F90,v $
! CVS $Name: ccsm2_0_beta46 $
!===============================================================================

SUBROUTINE bitcheck()

   use buf_mod       ! model data buffers
   use control_mod   ! control flags

   implicit none

   !----- local -----
   integer :: i,n        ! generic loop indicies
   real    :: mn,av,mx   ! mininum,average,maximum
   real    :: T          ! temperature
   logical :: do_check   ! flag wrt doing the check or not

   logical :: first_call = .true. ! flags one-time setup

   save

   !----- formats -----
   character(len=*),parameter :: F00 = &
   &    "('(bitcheck) key: date,model,case,min,avg,max (surface T)')"
   character(len=*),parameter :: F01 = &
   &    "('(bitcheck) ',i8.8,i6,'s ',a,1x,a,3es26.19)"

!-------------------------------------------------------------------------------
! PURPOSE:
!   print some quantities out to full precision for testing
!   exact restarts, variations between machines, etc.
!-------------------------------------------------------------------------------

   do_check = .false.

   if (info_bcheck == 1) then
     if (sec==0 ) then
       if (day==1 .or. day==2 .or. day==3 .or. (eday-eday0)<3 ) do_check=.true.
     end if
   else if (info_bcheck == 2) then
     if ( sec==0 )  do_check=.true.
   else if (info_bcheck > 2) then
     do_check=.true.
   end if

   if ( .not. do_check ) return

   if ( first_call ) write(6,F00)
   first_call = .false.

   !--- atm surface temperature ----
   mx = -1.0e30
   mn =  1.0e30
   av = 0.0
   n  = 0
   do i=1,nx_a
      T = Sa_a(i,kSa_tbot)
      mx = max(mx,T)
      mn = min(mn,T)
      av = av+T
      n  = n+1
   end do
   av = av/float(n)
   write(6,F01) cdate,sec,'atm',trim(case_name),mn,av,mx

   !--- ice surface temperature ----
   mx = -1.0e30
   mn =  1.0e30
   av = 0.0
   n  = 0
   do i=1,n_i
      if (mask_i(i)/=0 .and. Si_i(i,kSi_ifrac)>0.0) then
         T = Si_i(i,kSi_t)
         mx = max(mx,T)
         mn = min(mn,T)
         av = av+T
         n  = n+1
      end if
   end do
   av = av/float(n)
   write(6,F01) cdate,sec,'ice',trim(case_name),mn,av,mx

   !--- lnd surface temperature ----
   mx = -1.0e30
   mn =  1.0e30
   av = 0.0
   n  = 0
   do i=1,n_l
      if (mask_l(i)/=0) then
         T = Sl_l(i,kSl_t)
         mx = max(mx,T)
         mn = min(mn,T)
         av = av+T
         n  = n+1
      end if
   end do
   av = av/float(n)
   write(6,F01) cdate,sec,'lnd',trim(case_name),mn,av,mx

   !--- ocn surface temperature ----
   mx = -1.0e30
   mn =  1.0e30
   av = 0.0
   n  = 0
   do i=1,n_o
      if (mask_o(i) .ne. 0) then
         T = So_o(i,kSo_t)
         mx = max(mx,T)
         mn = min(mn,T)
         av = av+T
         n  = n+1
      end if
   end do
   av = av/float(n)
   write(6,F01) cdate,sec,'ocn',trim(case_name),mn,av,mx
  
RETURN
END

!===============================================================================
