!===============================================================================
! CVS $Id: flux_solar.F90,v 1.4 2001/08/01 23:45:25 kauff Exp $
! CVS $Source: /fs/cgd/csm/models/CVS.REPOS/cpl/cpl5/flux_solar.F90,v $
! CVS $Name: ccsm2_0_beta46 $
!===============================================================================

SUBROUTINE flux_solar(Faoa,So,Faoc)

   USE buf_mod
   USE control_mod
   USE shr_timer_mod ! timing routines

   implicit none

   !----- arguments -----
   real    :: Faoa(n_o,nFaoa)     ! atm/ocn fluxes, computed by atm
   real    :: So  (n_o,nSo  )     ! ocn state
   real    :: Faoc(n_o,nFaoc)     ! atm/ocn fluxes, computed by cpl

   !----- local -----
   integer :: n                   ! loop index
   integer :: timer_n = -1        ! timer number

   save   

   character(len=*),parameter :: F00 = "('(flux_solar) ',2a)"

!-------------------------------------------------------------------------------
! PURPOSE:
!   compute atm/ocn absorbed short-wave (net sw)
!-------------------------------------------------------------------------------

   if (timer_n < 0) call shr_timer_get(timer_n,'flux_solar')
   call shr_timer_start(timer_n)

   do n=1,n_o
     Faoc(n,kFaoc_swnet) = (1.0-So(n,kSo_anidr))*Faoa(n,kFaoa_swndr)  &
     &                   + (1.0-So(n,kSo_avsdr))*Faoa(n,kFaoa_swvdr)  &
     &                   + (1.0-So(n,kSo_anidf))*Faoa(n,kFaoa_swndf)  &
     &                   + (1.0-So(n,kSo_avsdf))*Faoa(n,kFaoa_swvdf)
   enddo

   call shr_timer_stop(timer_n)
END

!===============================================================================
