!===============================================================================
! CVS $Id: const_mod.F90,v 1.6 2002/01/23 21:56:46 kauff Exp $
! CVS $Source: /fs/cgd/csm/models/CVS.REPOS/ice/dice5/const_mod.F90,v $
! CVS $Name: ccsm2_0_beta46 $
!===============================================================================

module const_mod

   use shr_const_mod  ! shared physical constants
   use kind_mod       ! kind definitions

   real,parameter :: Tzro     = SHR_CONST_TKFRZ ! 0 degrees C             ~ K
   real,parameter :: Tfrz     = Tzro - 1.8      ! T of saltwater freezing ~ K
   real,parameter :: pi       = SHR_CONST_PI    ! mathematical constant
   real,parameter :: omega    = SHR_CONST_OMEGA ! earth's rotation  ~ rad/sec
   real,parameter :: DEGtoRAD = pi/180.0        ! degree to radian conversion

   real,parameter :: cpdair = SHR_CONST_CPDAIR  ! specific heat of dry air
   real,parameter :: cpwv   = SHR_CONST_CPWV    ! specific heat of water vapor
   real,parameter :: cpvir  = cpwv/cpdair - 1.0 ! cpwv/cpdair - 1.0
   real,parameter :: g      = SHR_CONST_G       ! acceleration of gravity
   real,parameter :: stebol = SHR_CONST_STEBOL  ! Stefan-Boltzmann's constant
   real,parameter :: karman = SHR_CONST_KARMAN  ! Von Karman constant
   real,parameter :: zvir   = SHR_CONST_ZVIR    ! rh2o/rair - 1.0
   real,parameter :: latvap = SHR_CONST_LATVAP  ! latent heat of evaporation
   real,parameter :: latice = SHR_CONST_LATICE  ! latent heat of fusion ~ J/kg
   real,parameter :: zzsice = 0.0005_R8         ! ice surface roughness

   real,parameter :: spval  = 1.0e30_R8         ! special/missing value

end module const_mod
