!===============================================================================
! CVS $Id: control.h,v 1.3 2001/12/03 21:15:10 ccsm Exp $
! CVS $Source: /fs/cgd/csm/models/CVS.REPOS/ice/dice5/control.h,v $
! CVS $Name: ccsm2_0_beta46 $
!===============================================================================
! Note:
! o when integer variables are used as logical variables, 0 <=> false
!===============================================================================

      !----- i/o unit reserved for temporary usage ---------------------
      integer    tmpunit
      parameter (tmpunit=10)

      !----- input namelist parms --------------------------------------
      character*16 rest_type    ! run type: initial, cont, regen, branch
      character*256 rest_pfile   ! IC data pointer file
      character*256 rest_bfile   ! IC data file for branch runs
      character*16 rest_freq    ! restart file frequency
      integer      rest_date    ! start date for initial or branch runs
      integer      rest_nday    ! restart file interval    (nday option
      integer      rest_odate   ! restart file offset date (nday option)
      character*16 case_name    ! case name
      character*64 case_desc    ! case description
      character*256 data_dir     ! data: directory
      character*64 data_miss    ! data: indicates missing data fields
      integer      data_rmlf    ! data: remove file after reading
      integer      data_year0   ! data: 1st  year  in sequence
      integer      data_nyear   ! data: number of years in sequence
      integer      data_oyear   ! data: cpl year matched to year0
      real         flux_swpf    ! short-wave rad penetration fraction
      character*16 flux_uv      ! ice velocity option
      real         flux_Qmin    ! bound on ice melt
      integer      flux_Qacc    ! T => accumulate Q*dt (ocn freeze/melt)
      real         flux_Qacc0   ! initial accumulation of Q*dt
      character*256 mss_dir      ! MSS data file directory
      character*16 mss_pass     ! MSS file password
      character*16 mss_opts     ! MSS file mswrite options
      integer      mss_rtpd     ! MSS file MS retention period
      integer      mss_rmlf     ! T => remove local file after mswrite
      integer      info_dbug    ! dbug level: 0=lowest, 3=highest
      real         info_sleep   ! to simulate time to advance an active model
      integer      info_time    ! T => print extra timing info
      integer      ncpl         ! number of msg pairs per day

      !----- timing info -----------------------------------------------
      integer      eday         ! elapsed days, 0 => 1 Jan year 0
      integer      eday0        ! value of eday on startup
      integer      cdate        ! coded model date (yyyymmdd)
      integer      year         ! model year
      integer      month        ! model month
      integer      day          ! model day
      integer      sec          ! model elapsed seconds during model day

      !----- control flags ---------------------------------------------
      integer      stop_now     ! T => stop model now
      integer      stop_eod     ! T => stop model at end of day
      integer      rest_now     ! T => create restart data now
      integer      rest_eod     ! T => create restart data at end of day
      integer      hist_now     ! T => create history data now
      integer      hist_eod     ! T => create history data at end of day
      integer      hist_tav     ! T => create monthly avg data
      integer      diag_now     ! T => create diagnostic data now
      integer      diag_eod     ! T => create diagnostic data now
      integer      ierr         ! error code

      !----- global variables ------------------------------------------
      COMMON /control_com/                                              &
     &   rest_type  , rest_pfile , rest_bfile                           &
     & , rest_freq  , rest_date  , rest_nday  , rest_odate              &
     & , case_name  , case_desc                                         &
     & , data_dir   , data_miss  , data_rmlf                            &
     & , data_year0 , data_nyear , data_oyear                           &
     & , flux_uv    , flux_swpf  , flux_Qmin  , flux_Qacc  , flux_Qacc0 &
     & , mss_dir    , mss_pass   , mss_opts   , mss_rtpd   , mss_rmlf   &
     & , info_dbug  , info_time  , info_sleep                           &
     & , ncpl       , eday       , eday0      , cdate                   &
     & , year       , month      , day        , sec                     &
     & , stop_now   , stop_eod   , rest_now   , rest_eod                &
     & , hist_now   , hist_eod   , hist_tav   , diag_now   , diag_eod   &
     & , ierr

      SAVE /control_com/
