!===============================================================================
! CVS $Id: control.F90,v 1.1 2000/05/22 23:38:44 kauff Exp $
! CVS $Source: /fs/cgd/csm/models/CVS.REPOS/lnd/dlnd5/control.F90,v $
! CVS $Name: ccsm2_0_beta46 $
!===============================================================================

      SUBROUTINE control()

      use calendar_mod ! calendar routines

      implicit none

      !----- global -----
#include <dims.h>               
#include <control.h>            

      !----- local -----
      logical firstcall     ! flags 1st call of this routine
      data    firstcall /.true./
      save    firstcall

!-------------------------------------------------------------------------------
! PURPOSE:
!   o select model's IC date
!   o set, reset, and or record the values of restart, history, 
!     diagnostic, stopping, etc., control flags
!
! NOTE:
!   currently this routine has no logic wrt setting control flags, 
!   rather all control flags are set on cue from the cpl
!   
! ASSUMPTION:
!   This routine is called *every* time a message is received from the
!   cpl, immediately *after* the message is received, this allows the
!   model to learn & use the coupler's IC date and control flags
!-------------------------------------------------------------------------------


      if ( firstcall ) then
        firstcall = .false.

        !-----------------------------------
        ! set IC date to coupler's IC date
        !-----------------------------------
        call date2eday(cdate,eday)
        call date2eday(cdate,eday0)
        call date2ymd (cdate,year,month,day)
        sec = 0

        !-----------------------------------
        ! record value of some flags
        !-----------------------------------
        if (info_time.ne.0) write(6,9000) 'msg timing flag is on'
        if (hist_tav .ne.0) write(6,9000) 'monthly avg flag is on'

      end if

      !-----------------------------------------------------------------
      ! error handling
      !-----------------------------------------------------------------
      if ( ierr .ne. 0 ) then
        write(6,9000) 'ierr     = ',ierr
        stop_now = 1
        stop
      end if

      !-----------------------------------------------------------------
      ! print out control flag values
      !-----------------------------------------------------------------
      if ( stop_now  .ne. 0) write(6,9000) 'stop_now = true'
      if ( info_dbug .eq. 1 .and. sec.eq.0) then
        if (stop_eod .ne. 0) write(6,9000) 'stop_eod = true'
        if (rest_now .ne. 0) write(6,9000) 'rest_now = true'
        if (rest_eod .ne. 0) write(6,9000) 'rest_eod = true'
        if (hist_now .ne. 0) write(6,9000) 'hist_now = true'
        if (hist_eod .ne. 0) write(6,9000) 'hist_eod = true'
        if (diag_now .ne. 0) write(6,9000) 'diag_now = true'
        if (diag_eod .ne. 0) write(6,9000) 'diag_eod = true'
      else if ((info_dbug.eq.2 .and. sec.eq.0) .or. info_dbug.ge.3) then
        if (stop_now .eq. 0) write(6,9000) 'stop_now = false'
        if (stop_eod .ne. 0) write(6,9000) 'stop_eod = true'
        if (stop_eod .eq. 0) write(6,9000) 'stop_eod = false'
        if (rest_now .ne. 0) write(6,9000) 'rest_now = true'
        if (rest_now .eq. 0) write(6,9000) 'rest_now = false'
        if (rest_eod .ne. 0) write(6,9000) 'rest_eod = true'
        if (rest_eod .eq. 0) write(6,9000) 'rest_eod = false'
        if (hist_now .ne. 0) write(6,9000) 'hist_now = true'
        if (hist_now .eq. 0) write(6,9000) 'hist_now = false'
        if (hist_eod .ne. 0) write(6,9000) 'hist_eod = true'
        if (hist_eod .eq. 0) write(6,9000) 'hist_eod = false'
        if (diag_now .ne. 0) write(6,9000) 'diag_now = true'
        if (diag_now .eq. 0) write(6,9000) 'diag_now = false'
        if (diag_eod .ne. 0) write(6,9000) 'diag_eod = true'
        if (diag_eod .eq. 0) write(6,9000) 'diag_eod = false'
      end if

      RETURN
 9000 format('(control) ',a,i6,a)
      END

!===============================================================================
