!===============================================================================
! CVS $Id: data_raw.h,v 1.3 2001/07/24 22:13:11 kauff Exp $
! CVS $Source: /fs/cgd/csm/models/CVS.REPOS/lnd/dlnd5/data_raw.h,v $
! CVS $Name: ccsm2_0_beta46 $
!===============================================================================

      !-------------------------------------------------------------------------
      ! raw data: two time slices read in from a data file
      !-------------------------------------------------------------------------

      !----- timing info -----
      integer r_kold           ! = 1 or 2: k index of older data slice
      integer r_cdate(2)       ! calendar dates for raw data time slices
      integer r_sec  (2)       ! elapsed secs   for raw data time slices

      !----- domain info -----
      integer r_mask (nx,ny)   ! domain mask of raw data, 0 <=> invalid

      !----- states -----
      real r_t    (nx,ny,2)    ! temperature               ~ Kelvin
      real r_alvdr(nx,ny,2)    ! albedo: vis-dir           ~ [0,1]
      real r_alndr(nx,ny,2)    ! albedo: nir-dir           ~ [0,1]
      real r_alvdf(nx,ny,2)    ! albedo: vis-diff          ~ [0,1]
      real r_alndf(nx,ny,2)    ! albedo: nir-diff          ~ [0,1]
      real r_snowh(nx,ny,2)    ! snow height               ~ m

      !----- fluxes -----
      real r_taux (nx,ny,2)    ! wind stress, zonal        ~    N/m^2
      real r_tauy (nx,ny,2)    ! wind stress, meridional   ~    N/m^2
      real r_lat  (nx,ny,2)    ! latent                    ~    W/m^2
      real r_sen  (nx,ny,2)    ! sensible                  ~    W/m^2
      real r_lwup (nx,ny,2)    ! longwave, upward          ~    W/m^2
      real r_evap (nx,ny,2)    ! evaporation               ~ kg/s/m^2
      real r_roff_r(nx_r,ny_r,2) ! runoff                  ~ kg/s/m^2

      !----- diagnostics -----
      real r_tref (nx,ny,2)    ! 2m air temperature        ~ Kelvin

      !-------------------------------------------------------------------------
      ! make data global
      !-------------------------------------------------------------------------
      COMMON /data_raw/                                             &
     &  r_t     , r_alvdr , r_alndr , r_alvdf , r_alndf , r_snowh , &
     &  r_taux  , r_tauy  , r_lat   , r_sen   , r_lwup  , r_evap  , &
     &  r_roff_r, r_tref  ,                                         &
     &  r_kold  , r_cdate , r_sec   , r_mask

      SAVE   /data_raw/
