!===============================================================================
! CVS $Id: dims.h,v 1.4 2001/07/24 22:13:11 kauff Exp $
! CVS $Source: /fs/cgd/csm/models/CVS.REPOS/lnd/dlnd5/dims.h,v $
! CVS $Name: ccsm2_0_beta46 $
!===============================================================================
! notes: 
!   The code design here predates F90 and allocatable arrays.  Also, the code
!   design predates an added requirement of a "compressed" runoff vectors whose
!   size isn't know until runtime.  Hence the compressed runoff vector has a 
!   fixed size of n_r=nx_r*ny_r (the compressed size will never be larger than
!   the uncompressed size), although possibly only the first n_rc < n_r elements
!   may be in use.  (-B. Kauffman, Apr 2001)
!===============================================================================

#include <preproc.h>

      !----- model dimensions (grid resolution) ------------------------
      integer,parameter :: nx   = NX_L   ! longitudinal grid reslolution
      integer,parameter :: ny   = NY_L   ! latitudinal  grid reslolution
      integer,parameter :: nx_r = NX_R   ! runoff long grid resolution
      integer,parameter :: ny_r = NY_R   ! runoff lat  grid resolution
      integer,parameter :: n_r=nx_r*ny_r ! max size of compressed roff vector
      integer           :: n_rc          ! size of compressed roff vector

      common / dims / n_rc

      save   / dims / 

