!=======================================================================
! CVS $Id: getfil.F90,v 1.1 2001/05/08 16:25:43 mvertens Exp $
! CVS $Source: /fs/cgd/csm/models/CVS.REPOS/ocn/docn5/getfil.F90,v $
! CVS $Name: ccsm2_0_beta46 $
!=======================================================================

SUBROUTINE getfil (fulpath, data_dir, locfn)

  use shr_sys_mod
  implicit none

  !----- arguments ------
  character(len=*), intent(in) :: fulpath  !full pathname (MSS or permanent disk)
  character(len=*), intent(in) :: data_dir !disk directory where files may reside 
  character(len=*), intent(out):: locfn    !output local file name

  !----- local ------
  integer :: i                 !loop index
  integer :: klen              !length of fulpath character string
  integer :: ierr              !error status
  logical :: lexist            !true if local file exists
  character(len=256) :: text   !mswrite command
  character(len=256) :: tmpnam !temporary variable

!-----------------------------------------------------------------------
! PURPOSE:
! acquire local copy of file
!
! ASSUMPTIONS:
! first check current working directory, then 'data_dir' directory, 
! and finally full pathname[fulpath] on disk
!-----------------------------------------------------------------------

  ! Get local file name from full name, start at end and look for first "/"
  klen = len(fulpath)
  do i = klen, 1, -1
     if (fulpath(i:i) == '/') go to 100
  end do
  i = 0
100 locfn = fulpath(i+1:klen)
  if (len(locfn) == 0) then
     call shr_sys_abort('getfil: local filename has zero length')
  else
     write(6,*)'(getfil) attempting to find file ',trim(locfn)
  endif

  ! Check if file is in current working directory.
  inquire (file=locfn,exist=lexist)
  if (lexist) then
     write (6,*) '(getfil) using ',trim(locfn),' in current working directory'
     return
  endif

  ! Check if file is in disk directory "data_dir"
  tmpnam = trim(data_dir) // '/' // trim(locfn)
  inquire(file=tmpnam,exist=lexist)
  if (lexist) then
     locfn = trim(tmpnam)
     write(6,*)'(getfil) using ',trim(tmpnam)
     return
  endif

  ! Check for full pathname on disk 
  inquire(file=fulpath,exist=lexist)
  if (lexist) then
     locfn = trim(fulpath)
     write(6,*)'(getfil) using ',trim(fulpath)
     return
  endif

  return
end SUBROUTINE getfil
