!|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||

      module domain

!***********************************************************************
!
!     This module sets array sizes for local subdomain.
!
!     CVS:$Id: domain.F,v 1.2.2.1 2001/03/13 22:54:41 njn01 Exp $
!     CVS:$Name: ccsm2_0_beta46 $
!
!-----------------------------------------------------------------------

      use kinds_mod
      use model_size

      implicit none
      save

!-----------------------------------------------------------------------

      !***
      !*** ghost cells define boundary data to avoid frequent 
      !*** off-processor communication 
      !***

      !***
      !*** must use num_ghost_cells=2 for upwinding, biharmonic mixing
      !*** and gent_mcwilliams
      !***

      integer (kind=int_kind), parameter ::  
     &  num_ghost_cells = 2 

      !***
      !*** imt, jmt define total size of subdomain - the
      !*** formula below automatically pads arrays if NPROC_X
      !*** or NPROC_Y do not evenly divide global problem size
      !***

      integer (kind=int_kind), parameter ::
     &  imt = (imt_global-1)/NPROC_X + 1 + 2*num_ghost_cells,
     &  jmt = (jmt_global-1)/NPROC_Y + 1 + 2*num_ghost_cells

      integer (kind=int_kind) :: 
     &  iphys_b, iphys_e, ! beg, end index of actual physical
     &  jphys_b, jphys_e, !   subdomain (subdomain - ghost - padding)
     &  i_global(imt),    ! global index for local subdomain
     &  j_global(jmt)     ! global index for local subdomain

      integer (kind=int_kind)  ::
     &  my_task,          ! task id for local process
     &  master_task       ! task id for master process

!***********************************************************************

      end module domain

!|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
